gsplcd.h File Reference

GSPLCD service. More...

`#include <3ds/types.h>`
`#include <3ds/services/gspgpu.h>`

Go to the source code of this file.

## Enumerations

enum | { GSPLCD_SCREEN_TOP = BIT(GSP_SCREEN_TOP) , GSPLCD_SCREEN_BOTTOM = BIT(GSP_SCREEN_BOTTOM) , GSPLCD_SCREEN_BOTH = GSPLCD_SCREEN_TOP | GSPLCD_SCREEN_BOTTOM }
| LCD screens. More...

## Functions

Result | gspLcdInit (void)
| Initializes GSPLCD.
void | gspLcdExit (void)
| Exits GSPLCD.
Handle * | gspLcdGetSessionHandle (void)
| Gets a pointer to the current gsp::Lcd session handle. More...
Result | GSPLCD_PowerOnAllBacklights (void)
| Powers on both backlights.
Result | GSPLCD_PowerOffAllBacklights (void)
| Powers off both backlights.
Result | GSPLCD_PowerOnBacklight (u32 screen)
| Powers on the backlight. More...
Result | GSPLCD_PowerOffBacklight (u32 screen)
| Powers off the backlight. More...
Result | GSPLCD_SetLedForceOff (bool disable)
| Sets 3D_LEDSTATE to the input state value. More...
Result | GSPLCD_GetVendors (u8 *vendors)
| Gets the LCD screens' vendors. More...
Result | GSPLCD_GetBrightness (u32 screen, u32 *brightness)
| Gets the LCD screens' brightness. More...
Result | GSPLCD_SetBrightness (u32 screen, u32 brightness)
| Sets the LCD screens' brightness. More...
Result | GSPLCD_SetBrightnessRaw (u32 screen, u32 brightness)
| Sets the LCD screens' raw brightness. More...

## Detailed Description

GSPLCD service.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

LCD screens.

Enumerator
GSPLCD_SCREEN_TOP | Top screen.
GSPLCD_SCREEN_BOTTOM | Bottom screen.
GSPLCD_SCREEN_BOTH | Both screens.

## Function Documentation

## GSPLCD_GetBrightness()

Result GSPLCD_GetBrightness | ( | u32 | screen,
|  | u32 * | brightness
| ) |  |

Gets the LCD screens' brightness.

Stubbed on old 3ds.

Parameters

  screen | Screen to get the brightness value of.
  brightness | Brightness value returned.

## GSPLCD_GetVendors()

Result GSPLCD_GetVendors | ( | u8 * | vendors | ) |

Gets the LCD screens' vendors.

Stubbed on old 3ds.

Parameters

  vendor | Pointer to output the screen vendors to.

## GSPLCD_PowerOffBacklight()

Result GSPLCD_PowerOffBacklight | ( | u32 | screen | ) |

Powers off the backlight.

Parameters

  screen | Screen to power off.

## GSPLCD_PowerOnBacklight()

Result GSPLCD_PowerOnBacklight | ( | u32 | screen | ) |

Powers on the backlight.

Parameters

  screen | Screen to power on.

## GSPLCD_SetBrightness()

Result GSPLCD_SetBrightness | ( | u32 | screen,
|  | u32 | brightness
| ) |  |

Sets the LCD screens' brightness.

Parameters

  screen | Screen to set the brightness value of.
  brightness | Brightness value set.

## GSPLCD_SetBrightnessRaw()

Result GSPLCD_SetBrightnessRaw | ( | u32 | screen,
|  | u32 | brightness
| ) |  |

Sets the LCD screens' raw brightness.

Parameters

  screen | Screen to set the brightness value of.
  brightness | Brightness value set.

## GSPLCD_SetLedForceOff()

Result GSPLCD_SetLedForceOff | ( | bool | disable | ) |

Sets 3D_LEDSTATE to the input state value.

Parameters

  disable | False = 3D LED enable, true = 3D LED disable.

## gspLcdGetSessionHandle()

Handle* gspLcdGetSessionHandle | ( | void |  | ) |

Gets a pointer to the current gsp::Lcd session handle.

Returns
  A pointer to the current gsp::Lcd session handle.